commit: d904cf5f4679a3c7b295e948ca4f6665e4c3cc24
Author: Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Tue Jun 28 04:26:20 2022 +0000
Commit: Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
CommitDate: Tue Jun 28 04:34:29 2022 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=d904cf5f
dev-python/confluent-kafka: add 1.9.0
Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>
dev-python/confluent-kafka/Manifest | 1 +
.../confluent-kafka/confluent-kafka-1.9.0.ebuild | 54 ++++++++++++++++++++++
2 files changed, 55 insertions(+)
diff --git a/dev-python/confluent-kafka/Manifest
b/dev-python/confluent-kafka/Manifest
index 51177ae93..1964de802 100644
--- a/dev-python/confluent-kafka/Manifest
+++ b/dev-python/confluent-kafka/Manifest
@@ -1 +1,2 @@
DIST confluent-kafka-1.8.2.gh.tar.gz 250172 BLAKE2B
9fabaaf2417343ae2743b662c359925487011cee9c63e5f8d07bfa049212e0f9890530072b463fd39fcc991d46e8e2e4ce07d79b8a63b367685c7da9d658291d
SHA512
6db66371b7cac822aafeaa4acb491556d9a866f8502d76e2acfe52d18b282caab338cd3f51f84845eab2ec5b2c44ed80426a7ad8afd0314a8a5ddc1a9299d693
+DIST confluent-kafka-1.9.0.gh.tar.gz 260481 BLAKE2B
814a6ce0421c866ed9082aa0cf566b476223453f82d84ee20d58d5fd1045fefbb4b92d6d14a9a8301ea8283c19679236efd237bbe21c57199d0bbfcd6427cd9b
SHA512
979878ae3ee61d7fcda67803cc5645cdf28749afe7919c7188e1fba9b34e68ab2950536a4817d47de5492bed751fb2eabcdf30f33adec864250c14cf48512bfe
diff --git a/dev-python/confluent-kafka/confluent-kafka-1.9.0.ebuild
b/dev-python/confluent-kafka/confluent-kafka-1.9.0.ebuild
new file mode 100644
index 000000000..bb04a6a99
--- /dev/null
+++ b/dev-python/confluent-kafka/confluent-kafka-1.9.0.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+EPYTEST_IGNORE=( tests/integration )
+MYPN="${PN}-python"
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit distutils-r1 optfeature
+
+DESCRIPTION="Confluent's Kafka Python Client"
+HOMEPAGE="
+ https://pypi.org/project/confluent-kafka/
+ https://github.com/confluentinc/confluent-kafka-python
+"
+SRC_URI="https://github.com/confluentinc/${MYPN}/archive/refs/tags/v${PV}.tar.gz
-> ${P}.gh.tar.gz"
+S="${WORKDIR}/${MYPN}-${PV}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="dev-libs/librdkafka"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ test? (
+ >=dev-python/fastavro-1.0[${PYTHON_USEDEP}]
+ >=dev-python/avro-1.10.0[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ dev-python/requests-mock[${PYTHON_USEDEP}]
+ >=dev-python/trivup-0.8.3[${PYTHON_USEDEP}]
+
+ dev-python/protobuf-python[${PYTHON_USEDEP}]
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pyflakes[${PYTHON_USEDEP}]
+ dev-python/pyrsistent[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_install_all() {
+ distutils-r1_python_install_all
+ rm "${ED}/usr/LICENSE.txt" || die
+}
+
+pkg_postinst() {
+ optfeature "avro support" dev-python/fastavro dev-python/avro
dev-python/requests
+ optfeature "json support" dev-python/jsonschema dev-python/pyrsistent
dev-python/requests
+ optfeature "protobuf support" dev-python/protobuf-python
dev-python/requests
+ optfeature "schema-registry support" dev-python/requests
+}